Home

# Class goog.graphics.ext.Path

Creates a path object

extends goog.graphics.Path

Instance Method Summary
| `clone() ⇒ ?goog.graphics.ext.Path` Clones the path.
| `getBoundingBox() ⇒ ?goog.math.Rect`
| `modifyBounds(number deltaX, number deltaY, number xFactor, number yFactor) ⇒ ?goog.graphics.ext.Path` Modify the bounding box of the path. This may cause the path to be simplified (i.e. arcs converted to curves) as a side-effect.
| `transform(!goog.graphics.AffineTransform tx) ⇒ ?goog.graphics.ext.Path` Transforms the path. Only simple paths are transformable. Attempting to transform a non-simple path will throw an error.
| `useBoundingBox(?goog.math.Rect bounds)` Set the precomputed bounds.